"use client";

import Image from "next/image";
import Link from "next/link";
import SheetMB from "../sheet-mb";
import {navbarData, navbarLink} from "@/app/data/content";

export default function HeaderAvailability() {
  return (
    <header className="w-full sticky top-0 z-10 md:static bg-white">
      <nav className="px-5 lg:px-0 flex lg:flex-col justify-between lg:justify-center items-center md:py-5">
        <div className="flex-shrink">
          <Link href="/">
            <Image
              src="/logo-black.svg"
              alt="villa batu"
              width={180}
              height={126}
              className="object-cover w-24"
            />
          </Link>
        </div>
        <div className="hidden lg:block ">
          <ul className="flex justify-center items-center gap-6 h-16">
            {navbarLink.map((link: any, index: number) => (
              <li
                key={index}
                className="text-xs md:text-base tracking-[0.1px] text-main"
              >
                <Link href={`/${link.link}`}>{link.title}</Link>
              </li>
            ))}
          </ul>
        </div>
        <SheetMB className="text-main" nav={navbarLink} socials={navbarData} />
      </nav>
      <hr className="border-main max-w-[1140px] mx-5 md:mx-auto" />
    </header>
  );
}
